Ogre::ParameterDef Class Reference
General

Definition of a parameter supported by a StringInterface class, for introspection. More...

`#include <OgreStringInterface.h>`

List of all members.

## Public Member Functions

| ParameterDef (const String &newName, const String &newDescription, ParameterType newType)

## Public Attributes

String | name
String | description
ParameterType | paramType

## Detailed Description

Definition of a parameter supported by a StringInterface class, for introspection.

Definition at line 65 of file OgreStringInterface.h.

## Constructor & Destructor Documentation

Ogre::ParameterDef::ParameterDef | ( | const String & | newName,
|  | const String & | newDescription,
|  | ParameterType | newType
| ) |  |

Definition at line 71 of file OgreStringInterface.h.

## Member Data Documentation

String Ogre::ParameterDef::description

Definition at line 69 of file OgreStringInterface.h.

String Ogre::ParameterDef::name

Definition at line 68 of file OgreStringInterface.h.

Referenced by Ogre::ParamDictionary::addParameter().

ParameterType Ogre::ParameterDef::paramType

Definition at line 70 of file OgreStringInterface.h.

The documentation for this class was generated from the following file:

- OgreStringInterface.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:41